Categories:
  - Connectivity
License: GPL-3.0-only
WebSite: https://ppareit.github.com/swiftp
SourceCode: https://github.com/ppareit/swiftp
IssueTracker: https://github.com/ppareit/swiftp/issues
Translation: https://github.com/ppareit/swiftp/blob/master/TRANSLATORS
Changelog: https://github.com/ppareit/swiftp/blob/HEAD/CHANGES
Donate: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=ZBVLYKWYMXQ3G

AutoName: FTP Server
Description: |-
    This app can serve files over the internet but the most likely usage is to
    access files from another computer without needing a cable.

    The name Demo in the launcher just means that it corresponds to the free version
    on Google. The app is fully featured so instead of buying the "Full" version as
    a way of contributing you can donate via the Paypal link.

RepoType: git
Repo: https://github.com/ppareit/swiftp.git

Builds:
  - versionName: '2.2'
    versionCode: 21
    commit: 460e2c
    prebuild: rm -rf cloud_server promotional

  - versionName: '2.4'
    versionCode: 23
    commit: v2.4
    prebuild: rm -rf cloud_server promotional documentation

  - versionName: 2.5.1
    versionCode: 25
    commit: v2.5.1
    subdir: Free
    prebuild:
      - rm -rf ../cloud_server ../Promotional ../Documentation
      - mkdir src
    androidupdate:
      - .
      - ../Lib

  - versionName: 2.5.2
    versionCode: 26
    commit: v2.5.2
    subdir: Free
    prebuild:
      - rm -rf ../Promotional ../Documentation
      - mkdir src
    androidupdate:
      - .
      - ../Lib

  - versionName: 2.5.3
    versionCode: 27
    commit: v2.5.3
    subdir: Free
    prebuild:
      - rm -rf ../Promotional ../Documentation
      - mkdir src
    androidupdate:
      - .
      - ../Lib

  - versionName: 2.5.4
    versionCode: 28
    commit: v2.5.4
    subdir: Free
    prebuild:
      - rm -rf ../Promotional ../Documentation
      - mkdir src
    androidupdate:
      - .
      - ../Lib

  - versionName: '2.6'
    versionCode: 29
    commit: v2.6
    rm:
      - promo
      - test
      - doc

  - versionName: '2.9'
    versionCode: 20900
    commit: v2.9
    subdir: free
    prebuild: mkdir src

  - versionName: '2.10'
    versionCode: 21000
    commit: v2.10
    subdir: free
    prebuild: mkdir src

  - versionName: 2.10.1
    versionCode: 21001
    commit: v2.10.1
    subdir: free
    prebuild: mkdir src

  - versionName: 2.10.2
    versionCode: 21002
    commit: v2.10.2
    subdir: free
    prebuild: mkdir src

  - versionName: 2.12.0
    versionCode: 21200
    commit: v2.12
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/shrinkResources/d' -e '/minifyEnabled/d' -e '/proguardFiles/d'
        build.gradle

  - versionName: 2.13.1
    versionCode: 21301
    commit: v2.13.1
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: 2.14.1
    versionCode: 21401
    commit: v2.14.1
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: 2.15.0
    versionCode: 21500
    commit: v2.15.0
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: 2.16.00
    versionCode: 21600
    commit: v2.16.0
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: 2.17.00
    versionCode: 21700
    commit: v2.17.0
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: 2.17.1
    versionCode: 21701
    commit: v2.17.1
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: '2.18'
    versionCode: 21800
    commit: v2.18
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: '2.19'
    versionCode: 21900
    commit: v2.19
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: '3.0'
    versionCode: 30000
    commit: v3.0
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: 3.0.1
    versionCode: 30001
    commit: v3.0.1
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

  - versionName: '3.1'
    versionCode: 30100
    commit: v3.1.0
    subdir: app
    gradle:
      - fdroid_free
    prebuild: sed -i -e '/dl.bintray.com/d' -e '/shrinkResources/d' -e '/minifyEnabled/d'
        -e '/proguardFiles/d' build.gradle

MaintainerNotes: Remove shrink/minify stuff since the proguard config is missing.

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
UpdateCheckName: be.ppareit.swiftp
CurrentVersion: '3.1'
CurrentVersionCode: 30100
